function setJsPlumb(dialog,plan,jsp)
{
	var idPlan = document.getElementById("plan"+plan);
	var loc = 0.3;
	var linkSpace = 10;
	$.getJSON( "/plugin/plan/controllers/link_control.php?action=getLinkObjects&plan="+plan, function( data ) {
		if(data)
		{
			$.each( data, function( key, val){
				var number = 1;
				var services = val.params.service.split(",");
				var MAX_NBR_SERVICE =2;

				//calcul de la position du milieu du connecteur
				var source = document.getElementById(val.params.source);
				var target = document.getElementById(val.params.target);

				var xSource = source.offsetLeft, ySource = source.offsetTop;
				var xTarget = target.offsetLeft, yTarget = target.offsetTop;

				if(xSource > xTarget) xSource += source.width;
				else xSource += target.width;

				if(ySource > yTarget) ySource += source.height;
				else ySource += target.height;

				var xMid = ((xSource + xTarget) / 2);
				var yMid= ((ySource + yTarget) / 2);

				if(typeof val.params.number !== 'undefined') number = val.params.number;
				for(j=0; j<number;j++)
				{
					srctar = source.id+"-"+target.id+j;
					/*if(j==0 && number==2)
					{
						xMid -= linkSpace*(j+1);
						yMid -= linkSpace*(j+1);
					}
					else if(j==1  && number==2)
					{
						xMid += linkSpace*(j+1);
						yMid += linkSpace*(j+1);
					}*/

					if(number > 1) //Si plus d'un lien
					{
						if ( j % 2 == 0 ) //Nombre pair
						{
							xMid -= linkSpace*(j+1);
							yMid -= linkSpace*(j+1);
						}
						else //Nombre impair
						{
							xMid += linkSpace*(j+1);
							yMid += linkSpace*(j+1);
						}
					}

				    div = document.createElement("div");
				    div.setAttribute("id",srctar);
				    div.style.position = "absolute";
				    div.style.display ="inline";
				    div.style.top=yMid+"px";
				    div.style.left=xMid+"px";
				    div.style.zIndex = 1;
				    div.style.width="0px";
				    div.style.height="0px";
				    idPlan.appendChild(div);

					var label1;
					var label2;

					var $in = new Array();
					var $out= new Array();

					label1 = '';//'no service';
					label2 = '';//'no service';

					colIn0 = '#000000';
					colOut1 = '#000000';

					if(services[0])
					{
						var messageIn = new Array();
						var label = new Array();
						var messageOut = new Array();
						for(var i=0;i<MAX_NBR_SERVICE;i++)
						{
							if(val.service[i])
							{
								var myregexp = /INTERFACE_EASY/;
								var match = myregexp.exec(val.service[i].name_tech);

								if (match != null) // link == Bp
								{
									$in[i] = getBw(val.service[i]['value']['in']);
									$out[i] = getBw(val.service[i]['value']['out']);
									messageIn[i] = 'IN';
									messageOut[i]= 'OUT';
									label[i]=messageIn[i]+" : " + $in[i]+"</br>"+messageOut[i]+" : " + $out[i];
								}
								else  // Color service
								{
									if(val.service[i].name_tech=='CHECK_ICMP' || val.service[i].name_tech=='GESA_ICMP') // link == Ping
									{
										if(val.service[i]['value']['latency']!=null)
										{
											$in[i] = val.service[i]['value']['latency']+" ms";
										}
										else
										{
											$in[i] = "No Data";
										}
										label[i] = $in[i];
									}
									else // link != Ping && != Bp
									{
										$in[i] = "";
										label[i]="";
									}
									$out[i] = $in[i];
									messageIn[i] = '';
									messageOut[i]= '';
								}
							}
						}

						if(services.length == 1) // UN SEUL SERVICE LIEE
						{
							/*label1 = "   " +$out[0];
							label2 = "</br>   "+$in[0];
							if(j==1)
							{
								loc=0.7;
							}*/
							if(j==0)
							{
								label1 = "   " +$out[0];
								label2 = "</br>   "+$in[0];
							}
							colIn0 = val.service[0]['in']['color'];
							val.service[1] = val.service[0];
							services[1] = services[0];
							colOut1=val.service[1]['out']['color'];
						}
						else if(services.length == 2) // DEUX SERVICES LIEES
						{
							/*label1 = label[0];
							label2 = label[1];
							if(j==1)
							{
								loc=0.7;
							}*/
							if(j==0)
							{
								label1 = label[0];
								label2 = label[1];
							}
							colIn0 = val.service[0]['in']['color'];
							colOut1=val.service[1]['out']['color'];
						}
					}

					var myConSrc = jsp.connect({
						source:source,
						target:srctar,
						anchor: ["Continuous", { faces:[ "top", "left","right","bottom" ] } ],
						connector: [ "Straight"],
						endpoint : [ "Dot", { radius:1 }],
						endpointStyle:{ fill:colIn0},
						paintStyle:{strokeWidth:4,stroke:colIn0},
						overlays:[
							["Arrow",{width:15,length:15,location:1}],
							[ "Label", { label:label1, location:loc, id:"myLabel" } ]],
					});

					var myConTar = jsp.connect({
						source:target,
						target:srctar,
						anchor: ["Continuous", { faces:[ "top", "left","right","bottom" ] } ],
						connector: [ "Straight"],
						endpoint : [ "Dot", { radius:1 }],
						endpointStyle:{ fill:colOut1},
						paintStyle:{strokeWidth:4,stroke:colOut1},
						overlays:[
							["Arrow",{width:15,length:15,location:1}],
							[ "Label", { label:label2, location:loc, id:"myLabel" } ]
						],
					});

					if(services[0])
					{
						myConSrc.bind("click", function() {
							myhtml ="<div class=\"lesGraphs\">" +
									"<div class=\"miLeft\" id=\"graph"+services[0]+"\">" +
									"<div class=\"tableview_title tabHeader\"><h1>"+val.service[0].name+"</h1></div>" +
									"<div class=\"contentView contentRelGraph\">	" +
									"<div id=\"showGraph"+services[0]+"\" style=\"min-width:700px;\"></div>" +
									"<script type='text/javascript'>" +
										Utils.generateRrdGraph(services[0],lang['GRAPH_DAY'],lang['GRAPH_WEEK'],lang['GRAPH_MONTH'],lang['GRAPH_YEAR'],lang['HOUR'],lang['GRAPH_NO_DATA']); +
									"</script>" +
									"</div></div></div>	";
							dialog.dialog( "option", "title", lang['GRAPH'] );
							dialog.dialog( "option", "minWidth", 1000 );
							dialog.html(myhtml);
							dialog.dialog( "open" );
						});

						myConTar.bind("click", function() {
							myhtml ="<div class=\"lesGraphs\">" +
									"<div class=\"miLeft\" id=\"graph"+services[1]+"\">" +
									"<div class=\"tableview_title tabHeader\"><h1>"+val.service[1].name+"</h1></div>" +
									"<div class=\"contentView contentRelGraph\">	" +
									"<div id=\"showGraph"+services[1]+"\" style=\"min-width:700px;\"></div>" +
									"<script type='text/javascript'>" +
										Utils.generateRrdGraph(services[1],lang['GRAPH_DAY'],lang['GRAPH_WEEK'],lang['GRAPH_MONTH'],lang['GRAPH_YEAR'],lang['HOUR'],lang['GRAPH_NO_DATA']); +
									"</script>" +
									"</div></div></div>	";
							dialog.dialog( "option", "title", lang['GRAPH'] );
							dialog.dialog( "option", "minWidth", 1000 );
							dialog.html(myhtml);
							dialog.dialog( "open" );
						});
					}
			        //jsp.draggable(source);
			        //jsp.draggable(target);
				}
			});
		}
	});
}

function setObjectOnPlan(plan,obj,lang,ressources)
{
    img = document.createElement("img");
    //Si il n'y a qu'un logo pour cette image, et qu'au moins un noeud OU un groupe y est lié, on met un cadre de la couleur de l'alerte de l'objet
    if(obj.uniq==true && (("nodes" in obj.params && obj.params.nodes !== "") || ("groups" in obj.params && obj.params.groups !== "")))
    {
    	if(obj.state=="ok") img.style.border="4px solid #83bb26";
    	else if(obj.state=="warning") img.style.border="4px solid #ffcb1f";
    	else if(obj.state=="critical") img.style.border="4px solid #da002e";
    	else if(obj.state=="unknown") img.style.border="4px solid #575759";
    }

    img.setAttribute("src",obj.file);
    img.setAttribute("title",obj.name);
    img.setAttribute("type","image");
    img.setAttribute("id",obj.type+""+obj.id+"object");
    img.style.position = "absolute";
    img.style.display ="inline";
    img.style.top=obj.params.position.y+"px";
    img.style.left=obj.params.position.x+"px";
    img.style.zIndex = 1;
    img.style.width=obj.params.size.width+"px";
    img.style.height=obj.params.size.height+"px";
    Events.addEvent(img,"click",function(e){getClick(e,obj.id,obj.name,obj.params.description,obj.link,lang,obj.type);});
    plan.appendChild(img);

    if(ressources == 'on') setRessources(obj.id,obj.type+""+obj.id+"object",obj.params.position.y,obj.params.position.x,lang);
}

function setRessources(idObj,idImg,y,x,lang)
{
	$.getJSON( "/plugin/plan/controllers/object_control.php?action=getObjectInfo&object="+idObj, function( data ) {
		if(data)
		{
			$.each( data, function( key, val ) {
			    div = document.createElement("div");
			    div.setAttribute("id","rscObj"+idObj);
			    div.style.position = "absolute";
			    div.style.display ="inline";
			    var newY = (parseInt(y)-15);
			    var newX = (parseInt(x)-50);
			    div.style.top=newY+"px";
			    div.style.left=newX+"px";
			    div.style.zIndex = 1;
			    var plan = currentPlan;
				var idPlan = document.getElementById("plan"+plan);
				idPlan.appendChild(div);
				var myhtml = setRessourcesHtml(data);
				$('#rscObj'+idObj).html(myhtml);
			});
		}
		//else alert("pas d'alerte");
	});
}

function setRessourcesHtml(data)
{
	var myhtml="<div>";
	$.each( data, function( key, val ) {
		$.each( val.value, function( k, v ) {
			switch(k)
			{
				case 'cpu' :
					myhtml += "<img src=\"/theme/default/images/cpu.png\"/>" + k+" : "+v+"% ";
					break;
				case 'ram' :
					myhtml += "<img src=\"/theme/default/images/ram.png\"/>" + k+" : "+v+"% ";
					break;
			}
		});

	});
	myhtml+="</div>";
	return myhtml;
}

function getClick(e,id,name,description,refplan,lang,type)
{
	if(e.ctrlKey)
	{
		url = "action=details&id="+refplan;
		if(!refplan) url = "action=details&objectid="+id;
		$.getJSON( "/plugin/plan/controllers/img_control.php?"+url, function( data ) {
			if(data)
			{
				var dialog = $( "#dialog-info" );
				myhtml = setHtml(data,lang,description);
				dialog.dialog( "option", "title", name );
				dialog.dialog( "option", "minWidth", 1000 );
				dialog.html(myhtml);
				dialog.dialog( "open" );
			}
			/*else
			{
				alert("pas d'alerte");
			}*/
		});
	}
	else
	{
		if(type==6)
		{
			window.location.href="/plugin/map/map.php";
		}
		else if(refplan)
		{
			$.getJSON( "/plugin/plan/controllers/img_control.php?action=getPlanType&id="+refplan, function( data ) {
				if(data) window.location.href="/plugin/plan/"+data+"&id="+refplan;
			});
		}
	}
}

function setHtml(data,lang,description)
{
	my_html = /*"<span><b>"+lang.ADM_DESCRIPTION+"</b> : "+description+"</span>"+*/
	"<div >" +
	"<table class=\"tab\" style=\"font-size: 14px;\">" +
	"<tr>" +
	"<th></th>" +
	"<th>"+lang.NAME+"</th>" +
	"<th>"+lang.ADM_PLUGIN_TYPE+"</th>" +
	/*"<th>Test</th>" +*/
	"<th>"+lang.ALERT_MENU+"</th>" +
	"</tr>";

	$.each( data, function( key, val ) {
		$.each( val, function( keyelem, elem ){
			if(key=='groups')
			{
				//alert(elem.id + " " + elem.name);
				my_html +="<tr>" +
						"<td style=\"width:22px;\"></td>" +
						"<td><a href=\"/node_index.php?nodegroup="+keyelem+"\">"+elem.name+"</td>" +
						"<td>"+lang.ADM_GRP+"</td>" /*+
						"<td>test</td>"*/;
				if(elem.state=='critical')
					my_html +="<td class=\"EventCritical\">"+elem.state+"</td>" ;
				else if(elem.state=='warning')
					my_html +="<td class=\"EventWarning\">"+elem.state+"</td>" ;
				else if(elem.state=='unknown')
					my_html +="<td class=\"EventUnknown\">"+elem.state+"</td>" ;
				else
					my_html +="<td class=\"EventOK\">OK</td>";
			}
			else
			{
				//$.each( elem, function( keynode, node ){
					my_html +="<tr>" +
					"<td style=\"width:22px;\">" +
						"<a href=\"#\" onclick=\"show_infobulle_toggle('"+elem.name+elem.id+"')\">" +
						"<img id=\"bouton_"+elem.name+elem.id+"\" src=\"/theme/default-image/esia_plus_button.png\"/>" +
						"</a>" +
					"</td>" +
					"<td><a href=\""+elem.page_control+elem.id+"\">"+elem.name+"</a></td>" +
					"<td>"+lang.NODE+"</td>" /*+
					"<td>test</td>"*/;
					if(elem.state=='critical')
						my_html +="<td class=\"EventCritical\">"+elem.state+"</td>" ;
					else if(elem.state=='warning')
						my_html +="<td class=\"EventWarning\">"+elem.state+"</td>" ;
					else if(elem.state=='unknown')
						my_html +="<td class=\"EventUnknown\">"+elem.state+"</td>" ;
					else
						my_html +="<td class=\"EventOK\">OK</td>";

					my_html +="</tr>" +
					"<tr id=\""+elem.name+elem.id+"\" style=\"display:none;\">" +
					"<td colspan=\"3\">" +
					"<table>" +
						"<tr>" +
							"<th>"+lang.SERVICES+"</th>" +
							"<th>"+lang.MESSAGES+"</th>" +
							"<th>"+lang.DATE_START+"</th>" +
						"</tr>";
					$.each( elem.errors, function( keyerror, error ) {
						//console.log(error.service);
						my_html +="<tr>";
						if(error.type=='critical')
							my_html +="<td class=\"EventCritical\">"+error.service+"</td> ";
						else if(error.type=='warning')
							my_html +="<td class=\"EventWarning\">"+error.service+"</td> ";
						else if(error.type=='unknown')
							my_html +="<td class=\"EventUnknown\">"+error.service+"</td> ";
						my_html +="<td>"+error.message+"</td>";
						my_html +="<td>"+error.time+"</td>" +
								"</tr>";
					});
					my_html +="</table>" +
					"</td>";
			}
			my_html +="</tr>";
		});
	});
	my_html += "</table>";

	return my_html;
}

function show_infobulle_toggle(id)
{
         if(document.getElementById(id).style.display=="none")
         {
                 document.getElementById(id).style.display="table-row";
                 document.getElementById('bouton_'+id).src='/theme/default-image/esia_moins_button.png';
         }
         else
         {
                 document.getElementById(id).style.display="none";
                 document.getElementById('bouton_'+id).src='/theme/default-image/esia_plus_button.png';
         }
         return true;
}

function getBw($bytes)
{
	$unit = "B";
	if(($bytes / 1024) > 1)
	{
		$bytes = ($bytes / 1024);
		$unit = "KB";
		if(($bytes / 1024) > 1)
		{
			$bytes = ($bytes / 1024);
			$unit = "MB";
			if(($bytes / 1024) > 1)
			{
				$bytes = ($bytes / 1024);
				$unit = "GB";
			}
		}
	}
	return parseFloat($bytes).toFixed(2)+$unit;
}
