<?php

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'WEBP_PLAN' => 'Maps',
		'PLAN_PLANS' => 'Maps',
		'PLAN_PLAN' => 'Map',
		'PLAN_ICONS' => 'Icons',
		'PLAN_ICON' => 'Icon',
		'PLAN_LINK' => 'Link',
		'PLAN_IMAGE' => 'Background pictures',
		'PLAN_UPL_IMG' => 'Upload new picture',
		'PLAN_HELP_IMG' => 'Ctrl + Click : Open the details of the elements linked to the object</br>Click : Open the plan linked to this object',
		'PLAN_HELP_RACK' => 'Help',
		'PLAN_UPDATE_OBJECT' => 'Object updated',
		'PLAN_UPDATE_LINK' => 'Link updated',
		'PLAN_DELETE_SERVICE_LINK' => 'Linked service deleted with success',
		'PLAN_DELETE_NODE_OBJECT' =>'Linked node deleted with success',
		'PLAN_DELETE_GROUP_OBJECT' =>'Linked group deleted with success',
		'PLAN_LINKED_SERVICES' => 'Linked services',
		'PLAN_ONLY_TWO_SERVICES' => 'You only can link 2 services to one link',
		'PLAN_RESIZE' => 'Resize',
		'PLAN_DELETE' => 'Delete',
		'PLAN_DELETE_VALIDATE' => 'Confirm deletion',
		'PLAN_DELETE_ABORT' => 'Abort deletion',
		'PLAN_CLOSE' => 'Close',
		'PLAN_MODIFY' => 'Modify',
		'PLAN_MODIFY_VALIDATE' => 'Confirm modifications',
		'PLAN_MODIFY_ABORT' => 'Abort modifications',
		'PLAN_CLICK_LINK_ELEM' => 'Click on the element to link',
		'PLAN_GIVE_NAME' => 'Give a name',
		'PLAN_PLEASE_GIVE_NAME' => 'Please, give a name',
		'PLAN_UPD_OK'=>'Plan successfully modified',
		'PLAN_DEL_IMG'=>'Delete the picture',
		'PLAN_DELETE_IMAGE_TEXT'=>'Picture successfully deleted',
		'PLAN_LINKED_ELEMENTS' => 'Linked elements',
		'PLAN_NO_LINKED_ELEMENT' => 'No linked element to this object',
		'PLAN_UPLOAD' => 'Upload',
		'PLAN_DELETE_IMAGE'=>'Do you want to delete this picture ?',
		'PLAN_IMPORT_LOGO'=>'Importing new images',
		'PLAN_ADD' => 'Add a plan',
		'PLAN_ADD_SUCCES' => 'Plan created with success',
		'PLAN_ADD_FAILED' => 'Unable to create plan',
		'PLAN_ADD_FAILED_USER_RIGHTS' => 'More user permissions required',
		'PLAN_ADD_FAILED_MISSING_VAR' => 'Informations Missing',
		'PLAN_DELETE_PLAN'=>'Do you want to delete this plan and its references ? ? All objects of this plan will be deleted too',
		'PLAN_DELETE_SUCCESS'=> 'Plan successfully deleted',
		'PLAN_DELETE_FAILED'=> 'Plan deletion failed',
		'PLAN_NEW_NAME_ICON'=>'New name for icon',
		'PLAN_UPD_NAME_ICON'=>'Change the name of the icon',
		'PLAN_NEW_PLAN'=>'New plan',
		'PLAN_DELETE_ICON_ON_PLAN'=>'This icon can not be deleted because it is present on the following map :',
		'PLAN_DISPLAY_ICONS' => 'Display icons',
		'PLAN_NO_PLAN_LINKED' => 'No plan linked',
		'PLAN_LINK_PLAN'=> 'Link a plan',
		'PLAN_ADMIN_ICON' => 'Icons administration',
		'PLAN_UPLOAD_ONE_LOGO' => 'Upload a new icon',
		'PLAN_UPLOAD_FOUR_LOGOS' => 'Upload an icon for each status',
		'PLAN_INFO_FOUR_LOGOS' => 'Upload an icon for each status (Ok - Alerte - Critique - Inconnu)',
		'PLAN_INFO_ONE_LOGO' => 'Upload an icon which will has the default design for its status',
		'PLAN_SELECT_ICON_GROUP' => 'select the icons groups',
		'PLAN_GROUP_ADMIN' => 'Icon groups management',
		'PLAN_ADD_ICON_GROUP' => 'Add an icon group',
		'PLAN_INFO_LOGO_ADM' => 'Click on the icon you want to modify or delete',
		'PLAN_ESIA_ICON_INFO' => 'Esia icons can not be modified or deleted',
		'PLAN_UPL_ONE_ICON_SUCCESS' => 'Icon uploaded with success',
		'PLAN_UPL_FOUR_ICONS_SUCCESS' => 'Icons uploaded with success',
		'PLAN_SAME_EXTENSION' => 'Error, files must have the same extension',
		'PLAN_ADD_GROUP' => 'Add a groupe',
		'PLAN_ADD_GROUP_SUCESS' => 'Icon group added with success',
		'PLAN_UPD_GROUP' => 'Modify group',
		'PLAN_UPD_GROUP_SUCESS' => 'Icon group modified with success',
		'PLAN_NO_GROUP' => 'No group',
		'PLAN_DEL_GROUP_INFO' => 'Are you sure to delete this group ? Its icons will be associated to no group',
		'PLAN_DEL_ICON_INFO' => 'Are you sure to delete this icon ?',
		'PLAN_UNABLE_DEL_ICON_INFO' => 'Impossible to delete this icon because it is used on this plan(s) :',
		'PLAN_UPD_ICON_SUCESS' => 'Icon modified with success',
		'PLAN_DISPLAY_RESSOURCES' => 'Display ressources',
		'PLAN_ZONE' => 'Zone',
		'PLAN_UPDATE_ZONE' => 'Zone updated with success',
		'PLAN_LINKED_PLAN' => 'Linked plan',
		'PLAN_UPDATED_SUCCESS' => 'Plan updated with success',
		'PLAN_CREATE_ZONE' => 'Create a zone',
		'PLAN_HELP_ZONE' => 'Click on the plan et draw a new zone',
		'PLAN_DELETE_ZONE_SUCCESS' => 'Zone deleted with success',
		'PLAN_CHANGE_LINK_ORDER'=>'Reverse the order of the links',
		'PLAN_OBJECT_NAME' => 'Object name',
		'PLAN_WARNING_LINKED' => 'Warning : This plan is referenced on these objects (plans) :',
		'PLAN_REFRESH_EVERY' => 'Refresh every',
		'PLAN_REFRESH_HELP' => '0 = no refresh',
		'PLAN_OBJ_DELETED' => 'Object successfully deleted',
		'PLAN_ONE_SERVICE_BY_LINK' => 'Create one link by service',
		'PLAN_READ_USER_SHARE' => 'Share in reading',
        'PLAN_WRITE_USER_SHARE' => 'Share in reading & writing',
        'PLAN_NO_FOUND'=> 'This plan doesn\'t exist',
		'PLAN_USER_PERMS_DENIED'=> 'Unauthorized action: Permission denied',
        'PLAN_FOLDER'=> 'Folder ',
        'PLAN_FOLDERNAME'=> 'Folder name',
        'PLAN_FOLDER_CREATE'=> 'Create a folder',
        'PLAN_FOLDER_CREATE_SUCCESS'=> 'Folder successfully created',
        'PLAN_FOLDER_UPDATE'=> 'Modify current folder',
        'PLAN_FOLDER_UPDATE_SUCCESS'=> 'Folder successfully updated',
		'PLAN_FOLDER_UPDATE_FAILED'=> 'Folder update failed',
		'PLAN_FOLDER_DELETE'=> 'Delete current folder',
		'PLAN_FOLDER_DELETE_WARN'=> 'You are about to delete the folder &quot;%s&quot; for all users.',
		'PLAN_FOLDER_DELETE_CONTENT_CHOICE'=> 'What do you want to do with its content&nbsp;?',
		'PLAN_FOLDER_DELETE_CONTENT_DELETE'=> 'Delete folder and all its contents',
		'PLAN_FOLDER_DELETE_CONTENT_ROOT'=> 'Delete folder but copy its content to the Root folder',
        'PLAN_FOLDER_DELETE_SUCCESS'=> 'Folder successfully deleted',
		'PLAN_FOLDER_DELETE_FAILED'=> 'Folder deletion failed',
        'PLAN_FOLDER_PARENT'=> 'Parent folder ',
        'PLAN_FOLDER_PRIVILEGE'=> 'Unable to update folder',
        'PLAN_NAME'=> 'Plan name',
        'PLAN_TYPE'=> 'Plan type',
		'PLAN_TYPE_FOLDER'=> 'Folder',
		'PLAN_TYPE_IMAGE'=> 'Image plan',
		'PLAN_TYPE_RACK'=> 'Rack plan',
		'PLAN_TYPE_GOOGLEMAP'=> 'Map plan',
		'PLAN_TYPE_UNKNOWN'=> 'Plan',
		'PLAN_FOLDER_ROOT'=> 'Root',
		'PLAN_MOVE_SUCCESS'=> ' has been successfully moved',
		'PLAN_MOVE_FAILED_ITEM_RIGHTS'=> 'You can\'t move %s because you don\'t have write permission on it.',
		'PLAN_MOVE_FAILED_TARGET_RIGHTS'=> 'You don\'t have write permission on the target folder.',
		'PLAN_MOVE_INFO'=> 'Drag & Drop&nbsp;: To move folders or plans by Drag & Drop, your user account must have the right "map_administration" as well as write rights on the item to move and on the targeted folder.',
		'PLAN_CLONE' => 'Clone',
		'PLAN_PREVIEW'=> 'Preview',
		'PLAN_STYLES'=> 'Styles',
		'PLAN_STYLES_FONT_SIZE'=> 'Font size',
		'PLAN_STYLES_FONT_COLOR'=> 'Font color',
		'PLAN_STYLES_BG_COLOR'=> 'Background color',
		'PLAN_STYLES_BG_OPACITY'=> 'Background opacity',
		'PLAN_STYLES_BORDER_COLOR'=> 'Border color',
		'PLAN_STYLES_BORDER_WIDTH'=> 'Border width',
		'PLAN_STYLES_BORDER_RADIUS'=> 'Box radius',
		'PLAN_STYLES_PADDING'=> 'Spacing between text and edge',
		'PLAN_LINK_FIELDS'=> 'Standardize parameters',
		'PLAN_UNLINK_FIELDS'=> 'Customize parameters',
		'PLAN_TOOLS' => 'Tools',
		'PLAN_TOOLS_TEXT'=> 'Text',
		'PLAN_TOOLS_TEXT_CONF'=> 'Text settings',
		'PLAN_TOOLS_TEXT_PLACEHOLDER'=> 'Enter some text',
		'PLAN_TOOLS_SERVICE'=> 'Service value',
		'PLAN_TOOLS_OBJECT_DELETE_FAILED'=> 'Item cannot be removed',
));

?>
